org.apache.jmeter.testelement

## Interface ThreadListener

All Known Implementing Classes:
  AccessLogSampler, AjpSampler, BeanShellAssertion, BeanShellListener, BeanShellPostProcessor, BeanShellPreProcessor, BeanShellSampler, BeanShellTestElement, BeanShellTimer, CounterConfig, CriticalSectionController, HTTPSampler, HTTPSamplerBase, HTTPSamplerProxy, IfController, IterationCounter, Jexl2Function, Jexl3Function, JMSSampler, JSONPathAssertion, JSONPostProcessor, JUnitSampler, RandomVariableConfig, RemoteThreadsListenerImpl, RemoteThreadsListenerTestElement, RemoteThreadsListenerWrapper, SampleTimeout, SessionFilter, SubscriberSampler, SyncTimer, TCPSampler, XMLAssertion

    public interface ThreadListener

Allow threads to perform startup and closedown if necessary

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `threadFinished()` Called for each thread after all samples have been processed.
`void` `threadStarted()` Called for each thread before starting sampling.

### Method Detail

#### threadStarted

    void threadStarted()

Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet. See org.apache.jmeter.threads.JMeterThread#threadStarted()

#### threadFinished

    void threadFinished()

Called for each thread after all samples have been processed. See org.apache.jmeter.threads.JMeterThread#threadFinished(org.apache.jmeter.engine.event.LoopIterationListener)